# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class JobDisableParameter(Model):
    """Options when disabling a job.

    All required parameters must be populated in order to send to Azure.

    :param disable_tasks: Required. What to do with active tasks associated
     with the job. Possible values include: 'requeue', 'terminate', 'wait'
    :type disable_tasks: str or ~azure.batch.models.DisableJobOption
    """

    _validation = {
        'disable_tasks': {'required': True},
    }

    _attribute_map = {
        'disable_tasks': {'key': 'disableTasks', 'type': 'DisableJobOption'},
    }

    def __init__(self, **kwargs):
        super(JobDisableParameter, self).__init__(**kwargs)
        self.disable_tasks = kwargs.get('disable_tasks', None)
