# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class FaceDescription(Model):
    """An object describing a face identified in the image.

    :param age: Possible age of the face.
    :type age: int
    :param gender: Possible gender of the face. Possible values include:
     'Male', 'Female'
    :type gender: str or
     ~azure.cognitiveservices.vision.computervision.models.Gender
    :param face_rectangle:
    :type face_rectangle:
     ~azure.cognitiveservices.vision.computervision.models.FaceRectangle
    """

    _attribute_map = {
        'age': {'key': 'age', 'type': 'int'},
        'gender': {'key': 'gender', 'type': 'Gender'},
        'face_rectangle': {'key': 'faceRectangle', 'type': 'FaceRectangle'},
    }

    def __init__(self, *, age: int=None, gender=None, face_rectangle=None, **kwargs) -> None:
        super(FaceDescription, self).__init__(**kwargs)
        self.age = age
        self.gender = gender
        self.face_rectangle = face_rectangle
