# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class Coordinate(Model):
    """Coordinates within an image.

    All required parameters must be populated in order to send to Azure.

    :param x: Required. The horizontal component, in pixels.
    :type x: float
    :param y: Required. The vertical component, in pixels.
    :type y: float
    """

    _validation = {
        'x': {'required': True},
        'y': {'required': True},
    }

    _attribute_map = {
        'x': {'key': 'x', 'type': 'float'},
        'y': {'key': 'y', 'type': 'float'},
    }

    def __init__(self, *, x: float, y: float, **kwargs) -> None:
        super(Coordinate, self).__init__(**kwargs)
        self.x = x
        self.y = y
