# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from .name_and_user_data_contract import NameAndUserDataContract


class FaceList(NameAndUserDataContract):
    """Face list object.

    All required parameters must be populated in order to send to Azure.

    :param name: User defined name, maximum length is 128.
    :type name: str
    :param user_data: User specified data. Length should not exceed 16KB.
    :type user_data: str
    :param face_list_id: Required. FaceListId of the target face list.
    :type face_list_id: str
    :param persisted_faces: Persisted faces within the face list.
    :type persisted_faces:
     list[~azure.cognitiveservices.vision.face.models.PersistedFace]
    """

    _validation = {
        'name': {'max_length': 128},
        'user_data': {'max_length': 16384},
        'face_list_id': {'required': True, 'max_length': 64, 'pattern': r'^[a-z0-9-_]+$'},
    }

    _attribute_map = {
        'name': {'key': 'name', 'type': 'str'},
        'user_data': {'key': 'userData', 'type': 'str'},
        'face_list_id': {'key': 'faceListId', 'type': 'str'},
        'persisted_faces': {'key': 'persistedFaces', 'type': '[PersistedFace]'},
    }

    def __init__(self, **kwargs):
        super(FaceList, self).__init__(**kwargs)
        self.face_list_id = kwargs.get('face_list_id', None)
        self.persisted_faces = kwargs.get('persisted_faces', None)
